NANO(1)

NOME
nano - Nano's ANOther, editor de texto inspirado no Pico

SINOPSE
nano [opções] [[+linha[,coluna]] arquivo]...

nano [opções] [[+[crCR]{/|?}string] arquivo]...

AVISO
Desde a versão 8.0, para ser amigável para novatos, ^F inicia uma busca para frente, ^B inicia uma busca para trás, M-F busca a próxima ocorrência para frente, e M-B busca a próxima ocorrência para trás. Se você quiser que essas teclas façam o que faziam antes da versão 8.0, adicione as seguintes linhas no final do seu arquivo nanorc:

    bind ^F forward main
    bind ^B back main
    bind M-F formatter main
    bind M-B linter main

DESCRIÇÃO
nano é um editor de texto pequeno e amigável. Ele copia a aparência do Pico, mas é um software livre e implementa vários recursos que faltam no Pico, tais como: abrir vários arquivos, rolagem por linha, desfazer/refazer, coloração de sintaxe, numeração de linha e quebra automática de linhas longas.

Ao fornecer um nome de arquivo na linha de comando, o cursor pode ser colocado em uma linha específica adicionando o número da linha com um sinal de mais (+) antes do nome do arquivo, e até mesmo em uma coluna específica adicionando-o com uma vírgula. Os números negativos contam a partir do final do arquivo ou linha.

O cursor pode ser colocado na primeira ou na última ocorrência de uma string específica, especificando essa string após +/ ou +? antes do nome do arquivo. A string pode ser diferenciada entre maiúsculas e minúsculas e/ou interpretada como uma expressão regular inserindo c e/ou r após o sinal +. Esses modos de pesquisa podem ser desabilitados explicitamente usando a variante em maiúsculas dessas letras: C e/ou R. Quando a string contém espaços, ela precisa ser colocada entre aspas. Para dar um exemplo: para abrir um arquivo na primeira ocorrência da palavra "Foo", faria-se:

    nano +c/Foo arquivo

Como um caso especial: se em vez de um nome de arquivo um travessão (-) for fornecido, nano lerá os dados da entrada padrão.

EDIÇÃO
Inserir texto e mover-se em um arquivo é simples: digitar as letras e usar as teclas normais de movimento do cursor. Os comandos são inseridos usando as teclas Control (^) e Alt ou Meta (M-). Digitar ^K exclui a linha atual e a coloca no buffer-de-transferência. ^Ks consecutivos colocam todas as linhas excluídas juntas no buffer-de-transferência. Qualquer movimento do cursor ou execução de qualquer outro comando fará com que o próximo ^K sobrescreva o buffer-de-transferência. A ^U cola o conteúdo atual do buffer-de-transferência na posição atual do cursor.

Quando um trecho de texto mais preciso precisa ser recortado ou copiado, pode-se marcar seu início com ^6, mover o cursor até o final (o texto marcado é destacado) e, em seguida, usar ^K para cortá-lo ou M-6 para copiá-lo para o buffer-de-transferência. Também é possível salvar o texto marcado em um arquivo com ^O, ou verificar a ortografia com ^T^T.

Em alguns terminais, o texto também pode ser selecionado mantendo pressionada a tecla Shift enquanto usa as teclas de seta. Manter a tecla Ctrl ou Alt pressionada também aumenta o passo. Qualquer movimento do cursor sem a tecla Shift pressionada cancela essa seleção.

Qualquer ponto de código Unicode válido pode ser inserido no buffer digitando M-V seguido pelos dígitos hexadecimais do ponto de código (concluído com <Espaçoe> ou <Enter> quando tiver menos de seis dígitos). Um código de controle literal (exceto ^J) pode ser inserido digitando M-V seguido pelo pressionamento de tecla pertinente.

The two lines at the bottom of the screen show some important commands; the built-in help (^G) lists all the available ones. The default key bindings can be changed via a nanorc file — see nanorc(5).

OPÇÕES

-A, --smarthome
    Torna a tecla Home mais inteligente. Quando Home é pressionada em qualquer lugar, exceto no início de caracteres que não sejam de espaço em branco em uma linha, o cursor pula para aquele início (para frente ou para trás). Se o cursor já estiver nessa posição, ele salta para o verdadeiro início da linha.

-B, --backup
    Ao salvar um arquivo, faz uma cópia reserva da versão anterior dele, usando o nome do arquivo atual com o sufixo um til (~).

-C directory, --backupdir=directory
    Make and keep not just one backup file, but make and keep a uniquely numbered one every time a file is saved — when backups are enabled (-B). The uniquely numbered files are stored in the specified directory.

-D, --boldtext
    For the interface, use bold instead of reverse video. This can be overridden for specific elements by setting the options titlecolor, statuscolor, promptcolor, minicolor, keycolor, numbercolor, and/or selectedcolor in your nanorc file. See nanorc(5).

-E, --tabstospaces
    Convert each typed tab to spaces — to the number of spaces that a tab at that position would take up. (Note: pasted tabs are not converted.)

-F, --multibuffer
    Lê um arquivo em um novo buffer por padrão.

-G, --locking
    Usa trava de arquivos no estilo vim ao editar arquivos.

-H, --historylog
    Salva as últimas cem strings de pesquisa e strings de substituição e comandos executados, para que possam ser facilmente reutilizados em sessões posteriores.

-I, --ignorercfiles
    Não procura no nanorc do sistema nem no nanorc do usuário.

-J number, --guidestripe=number
    Draw a vertical stripe at the given column, to help judge the width of the text. (The color of the stripe can be changed with set stripecolor in your nanorc file.)

-K, --rawsequences
    Interpreta sequências de escape diretamente, em vez de pedir a ncurses para traduzi-las. (Se você precisa dessa opção para fazer algumas teclas funcionarem corretamente, isso significa que a descrição do terminal terminfo que é usada não corresponde totalmente ao comportamento real do seu terminal. Isso pode acontecer quando você faz ssh em uma máquina BSD, por exemplo.) Usar essa opção desabilita o suporte a mouse do nano.

-L, --nonewlines
    Não adiciona automaticamente uma nova linha quando o texto não terminar com uma. (Isso pode fazer com que você salve arquivos de texto não POSIX.)

-M, --trimblanks
    Recorta o espaço em branco à direita da linha quebrada quando ocorrer a quebra automática ou quando o texto for justificado.

-N, --noconvert
    Desabilita a conversão automática de arquivos do formato DOS/Mac.

-O, --bookstyle
    Ao justificar, trata qualquer linha que comece com um espaço em branco como o início de um parágrafo (a menos que o recuo automático esteja ativado).

-P, --positionlog
    For the 200 most recent files, log the last position of the cursor, and place it at that position again upon reopening such a file. Also save and restore the positions of any anchors.

-Q "regex", --quotestr="regex"
    Define a expressão regular para corresponder à parte de citação de uma linha. O valor padrão é "^([ \t]*([!#%:;>|}]|//))+". (Observa que \t representa uma tabulação real.) Isso torna possível reajustar blocos de texto citado ao redigir e-mail e embrulhar blocos de comentários de linha ao escrever o código-fonte.

-R, --restricted
    Restricted mode: don't read or write to any file not specified on the command line. This means: don't read or write history files; don't allow suspending; don't allow spell checking; don't allow a file to be appended to, prepended to, or saved under a different name if it already has one; and don't make backup files. Restricted mode can also be activated by invoking nano with any name beginning with 'r' (e.g. "rnano").

-S, --softwrap
    Exibe em várias linhas de tela, linhas que excedem a largura da tela. (Você pode fazer com que essa quebra automática ocorra em espaços em branco em vez de rudemente na borda da tela, usando também --atblanks.)

-T number, --tabsize=number
    Define o tamanho (largura) de um tab para número colunas. O valor de número deve ser maior que 0. O valor padrão é 8.

-U, --quickblank
    Faz com que as mensagens da barra de status desapareçam após 1 pressionamento de tecla em vez de após 20. Observe que as opções -c (--constantshow) substituem isso. Quando a opção --minibar ou --zero está em vigor, --quickblank faz uma mensagem desaparecer após 0,8 segundos em vez do padrão de 1,5 segundos.

-V, --version
    Mostra o número da versão atual e sai.

-W, --wordbounds
    Detecta os limites das palavras de maneira diferente, tratando os caracteres de pontuação como parte de uma palavra.

-X "characters", --wordchars="characters"
    Especifica quais outros caracteres (além dos alfanuméricos normais) devem ser considerados como parte de uma palavra. Ao usar esta opção, você provavelmente deseja omitir -W (--wordbounds).

-Y name, --syntax=name
    Especifica o nome do realce de sintaxe a usar entre os definidos nos arquivos nanorc.

-Z, --zap
    Deixa um Backspace ou Delete não modificado apagar a região marcada (ao invés de um único caractere, e sem afetar o buffer-de-transferência).

-a, --atblanks
    Ao fazer quebra de linha suave, quebra as linhas nos espaços em branco em vez de sempre na borda da tela.

-b, --breaklonglines
    Automatically hard-wrap the current line when it becomes overlong, that is: when it becomes wider than the value given with -r (--fill). The default value for -r is the terminal's width minus eight. (This option is the opposite of -w (--nowrap) — the last one given takes effect.)

-c, --constantshow
    Constantly report the cursor position on the status bar. Note that this overrides option -U (--quickblank).

-d, --rebinddelete
    Interpreta as teclas Delete e Backspace de maneira diferente para que Backspace e Delete funcionem corretamente. Você só deve usar esta opção quando em seu sistema o Backspace atua como Delete ou Delete atua como Backspace.

-e, --emptyline
    Não usa a linha abaixo da barra de título, deixando-a totalmente em branco.

-f file, --rcfile=file
    Lê apenas este arquivo para definir as opções do nano, em vez de ler os arquivos do nanorc do sistema e do usuário.

-g, --showcursor
    Torna o cursor visível no navegador de arquivos (colocando-o no item destacado) e no visualizador de ajuda. Útil para usuários de braille e pessoas com visão deficiente.

-h, --help
    Mostra um resumo das opções de linha de comando disponíveis e sai.

-i, --autoindent
    Recua automaticamente uma linha recém-criada com o mesmo número de tabulações e/ou espaços que a linha anterior (ou como a próxima linha se a linha anterior for o início de um parágrafo).

-j, --jumpyscrolling
    Rola o conteúdo do buffer por meia tela em vez de por linha.

-k, --cutfromcursor
    Faz o comando "Recort txt" (normalmente ^K) cortar da posição atual do cursor até o final da linha, em vez de cortar a linha inteira.

-l, --linenumbers
    Exibe os números das linhas à esquerda da área de texto. (Qualquer linha com uma âncora também recebe uma marca na margem.)

-m, --mouse
    Habilita o suporte ao mouse, se disponível para o seu sistema. Quando habilitado, os cliques do mouse podem ser usados para posicionar o cursor, definir a marca (com um clique duplo) e executar atalhos. O mouse funciona no X Window System e no console quando o gpm estiver em execução. O texto ainda pode ser selecionado arrastando, mantendo pressionada a tecla Shift.

-n, --noread
    Trata qualquer nome fornecido na linha de comando como um novo arquivo. Isso permite que nano grave em encadeamentos nomeados: ele começa com um buffer em branco e grava no pipe quando o usuário salvar o "arquivo". Desta forma, nano pode ser usado como um editor em combinação com, por exemplo, gpg sem ter que gravar dados confidenciais no disco primeiro.

-o directory, --operatingdir=directory
    Change to the given directory, and allow reading and writing files only in this directory and its subdirectories.

-p, --preserve
    Preserva as sequências XOFF e XON (^S e ^Q) para que sejam capturadas pelo terminal. (parando e retomando a saída). Note que a opção -/ (--modernbindings) substitui isso.

-q, --indicator
    Exibe uma "barra de rolagem" no lado direito da janela de edição. Mostra a posição da janela de visualização no buffer e quanto do buffer é coberto pela janela de visualização.

-r number, --fill=number
    Define a largura alvo para justificar e empacotamento automático neste número de colunas. Se o valor for 0 ou menos, a quebra ocorre na largura da tela menos número colunas, permitindo que o ponto de quebra varie junto com a largura da tela se a tela for redimensionada. O valor padrão é -8.

-s "programa [argumento ...]", --speller="programa [argumento ...]"
    Usa este comando para realizar a verificação ortográfica e correção, em vez de usar o corretor integrado que chama hunspell(1) ou spell(1).

-t, --saveonexit
    Salva um buffer alterado sem perguntar (ao sair com ^X).

-u, --unix
    Salva um arquivo por padrão no formato Unix. Isso substitui o comportamento padrão do nano de salvar um arquivo no formato que ele tinha. (Esta opção não tem efeito quando você também usa --noconvert.)

-v, --view
    Basta visualizar o arquivo e proibir a edição: modo somente leitura. Este modo permite ao usuário abrir também outros arquivos para visualização, a menos que --restricted também seja fornecido.

-w, --nowrap
    Do not automatically hard-wrap the current line when it becomes overlong. This is the default. (This option is the opposite of -b (--breaklonglines) — the last one given takes effect.)

-x, --nohelp
    Não mostra as duas linhas de ajuda na parte inferior da tela.

-y, --afterends
    Faz com que Ctrl+Right e Ctrl+Delete parem no final das palavras em vez de no início.

-z, --listsyntaxes
    Lista os nomes das sintaxes disponível e sai.

-!, --magic
    Quando nem o nome do arquivo nem sua primeira linha fornecem uma pista, tente usar libmagic para determinar a sintaxe aplicável.

-@, --colonparsing
    Quando um nome de arquivo fornecido na linha de comando termina em dois pontos mais dígitos e esse nome de arquivo não existe, então corta os dois pontos mais dígitos e entende os dígitos como um número de linha. Se o nome de arquivo aparado também não existir, então repite o processo e entenda os dois números obtidos como número de linha e coluna. Mas se o nome de arquivo duplamente aparado também não existir, então esquece o corte e aceita o nome de arquivo original como está. Para desabilitar essa análise de dois pontos para algum arquivo, use +1 ou similar antes do nome de arquivo relevante.

-%, --stateflags
    Usa o canto superior direito da tela para mostrar alguns sinalizadores de estado: I ao recuar automaticamente, M quando a marca está ativada, L ao aplica quebra rígida (quebrando linhas longas), R ao gravar uma macro e S ao aplicar quebra suave. Quando o buffer é modificado, um asterisco (*) é mostrado após o nome do arquivo no centro da barra de título.

-_, --minibar
    Suprime a barra de título e, em vez disso, mostre informações sobre o buffer atual na parte inferior da tela, no espaço da barra de status. Nesta "mini barra", o nome do arquivo é mostrado à esquerda, seguido por um asterisco se o buffer foi modificado. À direita são exibidos a linha atual e o número da coluna, o código do caractere sob o cursor (no formato Unicode: U+xxxx), os mesmos sinalizadores mostrados por --stateflags e uma porcentagem que expressa como até onde o cursor está dentro do arquivo (linha a linha). Quando um arquivo é carregado ou salvo, e também ao alternar entre buffers, o número de linhas no buffer é exibido após o nome do arquivo. Esse número é apagado na próxima tecla ou substituído por um contador [i/n] quando vários buffers estão abertos. A linha mais os números das colunas e o código do caractere são exibidos apenas quando --constantshow é usado e podem ser ativados e desativados com M-C. Os sinalizadores de estado são exibidos apenas quando --stateflags é usado.

-0, --zero
    Oculta todos os elementos da interface (barra de título, barra de status e linhas de ajuda) e usa todas as linhas do terminal para mostrar o conteúdo do buffer. A barra de status aparece somente quando há uma mensagem significativa e desaparece após 1,5 segundos ou na próxima tecla pressionada. Com M-Z a barra de título mais a barra de status podem ser alternadas. Com M-X as linhas de ajuda.

-/, --modernbindings
    Usa atalhos de teclado semelhantes aos que a maioria dos programas modernos usa: ^X corta, ^C copia, ^V cola, ^Z desfaz, ^Y refaz, ^F pesquisa para frente, ^G pesquisa para trás, ^S salva, ^O abre um arquivo, ^Q sai e (quando o terminal permite) ^H mostra ajuda. Além disso, ^A define a marca, ^R faz substituições, ^D pesquisa anterior, ^P mostra a posição, ^T vai para uma linha, ^W escreve um arquivo e ^E executa um comando. Observe que isso substitui a opção -p (--preserve).

ALTERNADORES
Várias das opções acima também podem ser ativadas e desativadas enquanto o nano está em execução. Por exemplo, M-L alterna a quebra rígida de linhas longas, M-S alterna a quebra suave, M-N alterna os números das linhas, M-M alterna o mouse, M-I recuo automático e M-X as linhas de ajuda. Veja no final do texto de ajuda ^G uma lista completa.

O botão de alternância M-X é especial: ele funciona em todos os menus, exceto no visualizador de ajuda e no linter. Todos os outros botões de alternância funcionam apenas no menu principal.

ARQUIVOS
Quando --rcfile é fornecido, nano lê apenas o arquivo especificado para definir suas opções, sintaxes e associações de teclas. Sem essa opção, nano lê dois arquivos de configuração: primeiro o nanorc do sistema (se existir) e, em seguida, o nanorc do usuário (se existir), ~/.nanorc ou $XDG_CONFIG_HOME/nano/nanorc ou ~/.config/nano/nanorc, o que for encontrado primeiro. Veja nanorc(5) para obter mais informações sobre os possíveis conteúdos desses arquivos.

Veja /usr/share/nano/ e /usr/share/nano/extra/ para obter as definições de cores de sintaxe disponíveis.

STATUS DE SAÍDA

0   The editor finished normally.

1   An invalid option or option argument was given.

2   The last open buffer was discarded (with ^O^Q or ^X^Q).

NOTAS
A suspensão é habilitada por padrão, acessível via ^T^Z. (Se você quiser um ^Z simples para suspender o nano, adicione bind ^Z suspend main ao seu nanorc.)

At a Yes-No prompt, ^Y can be used for "Yes", ^N for "No", and ^A for "All". (And when exiting, ^Q can be used for "Quit with error".) These unlisted bindings work in any locale.

Quando você quiser copiar o texto marcado de nano para a área de transferência do sistema, veja um dos exemplos na página do manual nanorc(5).

Se nenhum comando de verificação ortográfica alternativo for especificado na linha de comando nem em um dos arquivos nanorc, nano verifica a variável de ambiente SPELL para encontrar um.

Em alguns casos, o nano tenta despejar o buffer em um arquivo de emergência. Isso vai acontecer principalmente se nano receber um SIGHUP ou SIGTERM ou ficar sem memória. Ele escreve o buffer em um arquivo chamado nano.save se o buffer ainda não tiver um nome, ou adiciona um sufixo ".save" ao nome do arquivo atual. Se um arquivo de emergência com esse nome já existir no diretório atual, ele adiciona ".save" mais um número (por exemplo, ".save.1") ao nome do arquivo atual para torná-lo único. No modo multibuffer, nano escreve todos os buffers abertos em seus respectivos arquivos de emergência.

Se você tiver alguma dúvida sobre como usar nano em alguma situação específica, você pode perguntar em help-nano@gnu.org.

BUGS
A escrita e reprodução de macros de teclado funcionam corretamente apenas em um emulador de terminal, não em um console Linux (VT), porque o último não distingue por padrão as teclas de seta modificadas das não modificadas.

Relate quaisquer outros bugs que você venha a encontrar via:
https://savannah.gnu.org/bugs/?group=nano.

Quando o nano trava, ele salva todos os buffers modificados em arquivos .save de emergência. Se você consegue reproduzir a falha e deseja obter um backtrace, defina a variável de ambiente NANO_NOCATCH.

SITE
https://nano-editor.org/

VEJA TAMBÉM
nanorc(5)

/usr/share/doc/nano/ (ou equivalente em seu sistema)

TRADUÇÃO
A tradução para português brasileiro desta página man foi criada por Rafael Fontenelle <rafaelff@gnome.org>

Esta tradução é uma documentação livre; leia a Licença Pública Geral GNU Versão 3 (https://www.gnu.org/licenses/gpl-3.0.html) ou posterior para as condições de direitos autorais. Nenhuma responsabilidade é aceita.

Se você encontrar algum erro na tradução desta página de manual, envie um e-mail para a lista de discussão de tradutores (debian-l10n-portuguese@lists.debian.org).